# install these packages into /opt if we have a prefix defined for the
# java packages
%{?java_pkg_prefix: %define _prefix /opt/frysk }
%{?java_pkg_prefix: %define _sysconfdir %{_prefix}/etc }
%{?java_pkg_prefix: %define _localstatedir %{_prefix}/var }
%{?java_pkg_prefix: %define _infodir %{_prefix}/share/info }
%{?java_pkg_prefix: %define _mandir %{_prefix}/share/man }
%{?java_pkg_prefix: %define _defaultdocdir %{_prefix}/share/doc }

%{!?c_pkg_prefix: %define c_pkg_prefix %{nil}}
%{!?java_pkg_prefix: %define java_pkg_prefix %{nil}}

# FIXME: temporary workaround until bug #202210 is fixed:
%define __perl_provides %{nil}

%define	name_base 	libgtk-java

Summary:	Java bindings for GTK+
Name:		%{java_pkg_prefix}%{name_base}
Version:	2.8.7
Release: 	3%{?dist}
License:	LGPL
Group:		Development/Libraries
URL:		http://java-gnome.sourceforge.net
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{name_base}/2.8/%{name_base}-%{version}.tar.bz2
Patch0:		libgtk-java-Drawable-region.patch
Patch1:		libgtk-java-no-libdir.patch

BuildRoot:	%{_tmppath}/%{name_base}-%{version}-root

Requires:	%{c_pkg_prefix}gtk2 >= 2.8.0
Requires:	%{java_pkg_prefix}cairo-java >= 1.0.5
Requires:       %{java_pkg_prefix}glib-java >= 0.2.6
BuildRequires:  %{java_pkg_prefix}cairo-java-devel >= 1.0.5
BuildRequires:  %{java_pkg_prefix}glib-java-devel >= 0.2.6
BuildRequires:  %{c_pkg_prefix}gtk2-devel >= 2.8.0
BuildRequires:  java-devel >= 1.4.2, gcc-java >= 4.1.1, docbook-utils

%description
libgtk-java is a language binding that allows developers to write GTK
applications in Java.  It is part of Java-GNOME.

%package        devel
Summary:        Compressed Java source files for %{name}.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	gtk2-devel
Requires:	cairo-java-devel
Requires:	glib-java-devel

%description    devel
Development part of %{name}.

%prep

%setup -q -n %{name_base}-%{version}
%patch0
%patch1

%build 
# if either the C or Java packages has a prefix declared, then we will
# add /opt/frysk/lib/pkgconfig to the pkgconfig path
if  [  'x%{java_pkg_prefix}' != 'x' ] || [ 'x%{c_pkg_prefix}' != 'x' ]; then
	export PKG_CONFIG_PATH=/opt/frysk/lib/pkgconfig
fi

%configure

make %{?_smp_mflags}

# pack up the java source
find src/java -name \*.java -newer ChangeLog | xargs touch -r ChangeLog
(cd src/java && find . -name \*.java | sort | xargs zip -X -9 src.zip)
touch -r ChangeLog src/java/src.zip

# fix up the modification date of generated documentation
find doc -type f -newer ChangeLog | xargs touch -r ChangeLog

%install
rm -rf %{buildroot}

make %{?_smp_mflags} DESTDIR=$RPM_BUILD_ROOT  install

# rename doc dir to reflect package rename, if the names differ
if [ 'x%{name_base}' != 'x%{name}' ] ; then
	mv $RPM_BUILD_ROOT%{_docdir}/%{name_base}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
fi

# Remove unpackaged files:
rm $RPM_BUILD_ROOT/%{_libdir}/*.la

# install the src zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name_base} | sed 's/-.*//;s/^lib//')
zipfile=$jarname$jarversion-src-%{version}.zip
install -m 644 src/java/src.zip $RPM_BUILD_ROOT%{_datadir}/java/$zipfile
(cd $RPM_BUILD_ROOT%{_datadir}/java &&
  ln -sf $zipfile $jarname$jarversion-src.zip)


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README NEWS THANKS doc/FAQ.html
%dir %{_includedir}/%{name_base}
%{_includedir}/%{name_base}/*
%{_libdir}/libgtkjava-*.so
%{_libdir}/libgtkjni-*.so
%{_datadir}/java/*.jar
%dir %{_datadir}/%{name_base}
%{_datadir}/%{name_base}/*

%files devel
%defattr(-,root,root)
%if 0
%doc doc/api
%endif
%doc doc/examples
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libgtkjava.so
%{_libdir}/libgtkjni.so
%{_datadir}/java/*.zip


%changelog
* Thu Jan 18 2007 Stepan Kasal <skasal@redhat.com> - 2.8.7-3
- Add libgtk-java-no-libdir.patch and do not pack doc/api to resolve
  multilib problems.
- Resolves: #222726.

* Tue Oct 26 2006 Andrew Cagney <cagney@redhat.com> - 2.8.7-2
- Fix Drawwable.c so that regions are eventually free'd using
  gdk_region_destroy, and not g_free. (#210680)

* Tue Oct 17 2006 Stepan Kasal <skasal@redhat.com> - 2.8.7-1
- Fix multilib conflicts in %%{docdir}. (#210566)
- New upstream version, contains only doc changes.
- Move development documentation to -devel.

* Thu Oct  5 2006 Stepan Kasal <skasal@redhat.com> - 2.8.6-4
- Fix the source packing: preserve source timestamps and prevent multilib
  conflicts. (#192709)
- Add BuildRequires: antlr, at least temporarily.

* Wed Aug 30 2006 Stepan Kasal <skasal@redhat.com> - 2.8.6-3
- Do not pack the *.la files.
- Move the *.so symlinks to -devel.

* Sun Aug 13 2006 Stepan Kasal <skasal@redhat.com> - 2.8.6-2
- Implement a temporary workaround for #197460.

* Sun Aug 13 2006 Stepan Kasal <skasal@redhat.com> - 2.8.6-1
- New upstream version.
- Use the %%{?dist} tag.
- Use `make %%{?_smp_mflags}'.
- Move pkgconfig description to -devel subpackage.
- The -devel subpackage now requires several -devel packages.
- Update requires and buildrequires.

* Sun Jul 23 2006 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.8.5-2
- Bump release number. (dist-fc6-java)

* Wed Jul 12 2006 Stepan Kasal <skasal@redhat.com> - 2.8.5-1
- Release 0 is not allowed.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.8.5-0.1
- rebuild

* Sat Jun 17 2006 Stepan Kasal <skasal@redhat.com> - 2.8.5-0
- Use .tar.bz2, not .tar.gz.

* Wed Jun 14 2006 Stepan Kasal <skasal@redhat.com> - 2.8.5-0
- New version.
- Remove BuildRequires:	autoconf automake libtool
- Removed patches for treerowreferences, treemodelsort functions,
  and cellrenderer properties.

* Wed May 24 2006 Ben Konrath <bkonrath@redhat.com> - 2.8.4-4
- Change mod time of all java source files for the src zip.
- Add BuildRequires libtool.

* Tue May 23 2006 Ben Konrath <bkonrath@redhat.com> - 2.8.4-3
- Add -X to src zip and ensure Config.java has the same mod time across
  platforms - needed for multilib.

* Thu May 11 2006 Stepan Kasal <skasal@redhat.com>    - 2.8.4-2
- Fix a typo in the Makefile.jni snippet.
- Re-run autotools.

* Wed May 10 2006 Stepan Kasal <skasal@redhat.com>    - 2.8.4-1
- Incorporated the three patches to the spec file.
- Removed Makefile.jni from the cellrenderer patch.
- Fixed the treerowreferences patch according to Adam's advice.

* Tue May 09 2006 Adam Jocksch <ajocksch@redhat.com> - 2.8.4-0
- Committed patches for treerowreferences, treemodelsort functions,
and cellrenderer properties, no changes to spec file.

* Fri Apr 28 2006 Stepan Kasal <skasal@redhat.com>    - 2.8.4-0
- New version, which integrates both patches.
- Remove the patches.
- Fix typo in %%post.
- Try to build on s390x again.

* Wed Mar 15 2006 Phil Muldoon <pmuldoon@redhat.com> - 2.8.3.020060301.rh1-2
- Added libgtk-java-glib-timer-gc.patch to fix double free on Timer GC

* Tue Mar 14 2006 Adam Jocksch <ajocksch@redhat.com> - 2.8.3.0.20060301.rh1-1
- Added GdkCairoFix.patch to address bug in GdkCairo class.

* Wed Mar 01 2006 Adam Jocksch <ajocksch@redhat.com> - 2.8.3.0.20060301.rh1-0
- Imported new tarball to address bg #183538, updated dependancies.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.8.3-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.8.3-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 30 2006 Adam Jocksch <ajocksch@redhat.com> - 2.8.3-1
- updated tarball to libgtk-java-2.8.3.tar.gz.

* Thu Dec 22 2005 Andrew Cagney <cagney@redhat.com> - 2.8.2-0
                  Adam Jocksch <ajocksch@redhat.com>
- import libgtk-java-2.8.2.tar.gz

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> - 2.8.1-3
- rebuilt again

* Tue Dec 13 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Wed Dec 09 2005 Igor Foox <ifoox@rehdat.com> - 2.8.1-2
- Version bump to account for gcc4.1.

* Wed Oct 12 2005 Igor Foox <ifoox@rehdat.com> - 2.8.1-1
- Updated to released 2.8.1 sources from upstream.
- Excluded  s390x.

* Wed Oct 05 2005 Igor Foox <ifoox@redhat.com> - 2.8.0-7
- Changed build dependency on cairo-java and glib-java to -devel.

* Wed Oct 05 2005 Igor Foox <ifoox@redhat.com> - 2.8.0-6
- Imported released 2.8.0 sources from upstream.
- Changed optional installation prefix to /opt/frysk from /opt.

* Fri Sep 23 2005 Igor Foox <ifoox@redhat.com> - 2.8.0-5
- Updated to 2.8.0 upstream libgtk-java.

* Fri May 20 2005 Ben Konrath <bkonrath@redhat.com> - 2.6.2-3
- Fix permissions of src zip.

* Thu May 19 2005 Ben Konrath <bkonrath@redhat.com> - 2.6.2-2
- Add compressed java source to devel package.

* Mon Apr 11 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.6.2-1
- Import libgtk-java 2.6.2.

* Sat Apr  2 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.6.1.1-1
- Import libgtk-java 2.6.1.1.

* Wed Mar 16 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.6.1-3
- Import libgtk-java 2.6.1.

* Fri Mar  4 2005 Thomas Fitzsimmons <fitzsim@thor.perf.redhat.com> 2.6.0-3
- Add x86_64.

* Fri Mar  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.6.0-2
- Remove x86_64.
- Remove ppc64.
- Require java-devel for build, for javadoc.

* Wed Mar  2 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.6.0-1
- Import libgtk-java 2.6.0.
- Add ppc and ppc64.

* Sat Feb 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.91.1-1
- Import libgtk-java 2.5.91.1.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.91-3
- Work around libtool, gcj, -D_FORTIFY_SOURCE=2, rpmbuild problem.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.91-2
- Only build on i386 and x86_64.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.91-1
- Import libgtk-java 2.5.91.

* Fri Feb  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.90-1
- Remove java-devel build requirement.
- Remove patch.
- Fix files section.

* Mon Jan 31 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.90-1
- Add patch to work around build failure.

* Thu Jan 13 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.5.90-1
- Import libgtk-java release 2.5.90.

* Mon Nov  1 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.4.5-6
- Install examples directory by itself, not under doc.

* Mon Nov  1 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.4.5-5
- Rewrite description.
- Fix location of run-example patch.

* Mon Nov  1 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.4.5-4
- Build on ppc.

* Mon Nov  1 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.4.5-3
- Don't build on ppc.

* Mon Nov  1 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.4.5-2
- Bump release number.

* Mon Nov  1 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.4.5-1
- Update to 2.4.5.
- Only build on 32-bit architectures.

* Sun Oct 17 2004 Luca De Rugeriis <piedamaro@fastwebnet.it> 2.4.3-2
- Few cleanups.
* Fri Oct 08 2004 Luca De Rugeriis <piedamaro@fastwebnet.it> 2.4.3-1
- Initial release.
                                                              164,1         Bo
